dbXML API

## org.dbxml.core.corba
Class SymbolDeserializer

    java.lang.Object
      |
      +--org.dbxml.core.corba.SymbolDeserializer

public final class SymbolDeserializer
extends java.lang.Object

SymbolDeserializer is a utility class for managing SymbolTables in the client context of Wire Compression.

Constructor Summary
`SymbolDeserializer()`

Method Summary
`org.w3c.dom.Document` `convertToDocument(EncodedBuffer buffer)` convertToDocument converts the compressed EncodedBuffer to a DOM Document.
`long` `getLastModified()` getLastModified returns the last modified time stamp of the client's image of the managed Symbol Table.
`SymbolTable` `getSymbols(EncodedBuffer buffer)` getSymbols returns the current SymbolTable image for the server-side Collection that is being managed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolDeserializer

    public SymbolDeserializer()

Method Detail

### convertToDocument

    public org.w3c.dom.Document convertToDocument(EncodedBuffer buffer)

  convertToDocument converts the compressed EncodedBuffer to a DOM Document.
  Parameters:
    `buffer` - The EncodedBuffer
  Returns:
    The Document

### getSymbols

    public SymbolTable getSymbols(EncodedBuffer buffer)

  getSymbols returns the current SymbolTable image for the server-side Collection that is being managed. The Symbol table is shipped as part of an EncodedBuffer when the server has determined that its image of the SymbolTable is out of date. This method either returns the current image or extracts the new image from the EncodedBuffer.
  Parameters:
    `buffer` - The EncodedBuffer
  Returns:
    The Symbol Table

### getLastModified

    public long getLastModified()

  getLastModified returns the last modified time stamp of the client's image of the managed Symbol Table.
  Returns:
    The last modified stamp

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved